org.vishia.gral.example

## Class ExampleContextMenu

- java.lang.Object
- - org.vishia.gral.example.ExampleSimpleButton
  - - org.vishia.gral.example.ExampleContextMenu

-     public class ExampleContextMenu
      extends ExampleSimpleButton

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) static class` | `ExampleContextMenu.Factory` This inner class creates this class with given parameter.
    `protected class` | `ExampleContextMenu.InitGuiCodeContextMenu`

    - ### Nested classes/interfaces inherited from class org.vishia.gral.example.ExampleSimpleButton

      `ExampleSimpleButton.GuiElements, ExampleSimpleButton.InitGuiCodeSimpleButton`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `version` Version, history and license.

    - ### Fields inherited from class org.vishia.gral.example.ExampleSimpleButton

      `gui`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExampleContextMenu(GralMng gralMng)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` The main routine.

    - ### Methods inherited from class org.vishia.gral.example.ExampleSimpleButton

      `execute, initGui, main, setInitGuiCode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### version

          public static final int version

      Version, history and license.
      - 2011-06-00 Hartmut created
      Copyright/Copyleft:
      For this source the LGPL Lesser General Public License, published by the Free Software Foundation is valid. It means:
      1. You can use this source without any restriction for any desired purpose.
      2. You can redistribute copies of this source to everybody.
      3. Every user of this source, also the user of redistribute copies with or without payment, must accept this license for further using.
      4. But the LPGL is not appropriate for a whole software product, if this source is only a part of them. It means, the user must publish this part of source, but doesn't need to publish the whole source of the own product.
      5. You can study and modify (improve) this source for own using or for redistribution, but you have to license the modified sources likewise under this LGPL Lesser General Public License. You mustn't delete this Copyright/Copyleft inscription in this source file.
      If you intent to use this source without publishing its usage, you can get a second license subscribing a special contract with the author.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ExampleContextMenu

          ExampleContextMenu(GralMng gralMng)

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      The main routine. It creates the factory of this class and then calls `ExampleSimpleButton.main(String[], Factory)`. With that pattern a derived class may have a simple main routine too.
      Parameters:
        `args` - command line arguments.